(() => {
  'use strict';

  const eventName = ['app.record.create.show', 'app.record.edit.show'];
  kintone.events.on(eventName, (event) => {
    // STEP1
    // HTMLボタン要素生成
    const btnCopy = document.createElement('button');
    // ボタン識別ID
    btnCopy.id = 'btnCopy';
    // ボタン名
    btnCopy.innerHTML = '請求先にコピー';
    // ボタンタイプ
    btnCopy.type = 'button';
    // ボタンクリックイベント
    btnCopy.onclick = () => {
      // レコード情報の取得
      const rec = kintone.app.record.get();
      // フィールドに値を設定
      rec.record.郵便番号_請求先.value = rec.record.郵便番号.value;
      rec.record.都道府県_請求先.value = rec.record.都道府県.value;
      rec.record.市区町村_請求先.value = rec.record.市区町村.value;
      rec.record.町域名_請求先.value = rec.record.町域名.value;
      // 変更したレコード情報を反映
      kintone.app.record.set(rec);
    };
    // ヘッダースペースにボタン要素を追加
    kintone.app.record.getHeaderMenuSpaceElement().appendChild(btnCopy);
  });
})();
